@import '~@angular/material/theming';
@import 'custom-theme.scss';
@import "~@angular/material/prebuilt-themes/indigo-pink.css";
/* Required for ngx-gallery Icons */
@import "/assets/fonts/custom-gallery-icons/style.css";

html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

a {
  text-decoration: none;
  color: inherit;
  outline: 0;

  -o-transition:.5s;
  -ms-transition:.5s;
  -moz-transition:.5s;
  -webkit-transition:.5s;
  /* ...and now for the proper property */
  transition:.5s;
}

a {
  color: mat-color($custom-theme-primary, 800);
}

a:hover {
  color: mat-color($custom-theme-primary, 600);
}
a.dark {
  color: mat-color($custom-theme-primary, 100);
}
a.dark:hover {
  color: mat-color($custom-theme-primary, 200);
}
a.color-link {
  color: mat-color($custom-theme-primary, 700);
}

// The following is from: https://materialdesignicons.com/getting-started
button.mat-menu-item {
  line-height: 24px !important;
}
a.mat-menu-item > mat-icon {
  margin-bottom: 14px;
}
.mat-icon svg {
  height: 24px;
  width: 24px;
}
// End of style from https://materialdesignicons.com/getting-started

// Class used for the panel of modals related to settings.
.ign-modal-panel {
  align-self: flex-start;

  @media screen and (max-width: 959px) {
    margin-top: 3em;
    width: 80vw;
  }

  @media screen and (min-width: 960px) {
    margin-top: 8em;
    width: 40vw;
  }
}

.heading {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: mat-color($custom-theme-primary, 300);
  padding: 80px 40px;
  margin-bottom: 40px;
}

.heading h1 {
  color: rgb(255, 255, 255);
  font-weight: 400;
  font-size: 42px;
  line-height: 1em;
}

.heading h1 a, .heading p a {
  color: rgb(255, 255, 255);
  font-weight: 200;
  border-bottom: 1px solid white;
}

.heading h1 a:hover, .heading p a:hover {
  color: rgba(255, 255, 255, 0.7);
}
.heading p {
  color: rgb(255, 255, 255);
  font-size: 20px;
  min-height: 1em;
  line-height: 1em;
}

.heading h1 {
  color: rgb(255, 255, 255);
  font-weight: 400;
  font-size: 42px;
}

